//
// Copyright (c) 2005 Yoan Blanc, HE-ARC Ingnierie (Le Locle)
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy of
// this software and associated documentation files (the "Software"), to deal in
// the Software without restriction, including without limitation the rights to use,
// copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
// Software, and to permit persons to whom the Software is furnished to do so,
// subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS
// OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
// IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
// WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//

package ch.hearc.I04_05s08.GUI.Graph;

import java.awt.event.*;

/**
 *	Graph listener
 *
 *	@author Blanc, Yoan
 *	@hearc.copyright 2005 Yoan Blanc, HE-ARC Ingnierie
 *	@hearc.licence <a href="http://opensource.org/licenses/mit-license.php">MIT</a>
 */

public class GraphListener implements MouseListener, MouseMotionListener
{
	/**
	 *	The graph
	 */
	public GraphPanel graph;
	
	/**
	 *	Build the listener (auto set the listeners to the GraphPanel)
	 *
	 *	@param graph		the GraphPanel which is listened
	 */
	public GraphListener(GraphPanel graph)
	{
		this.graph = graph;
		
		graph.addMouseListener(this);
		graph.addMouseMotionListener(this);
	}
	
	// MouseListener
	
	public void mousePressed(MouseEvent e)
	{
		if(e.getClickCount() == 1)
		{
			graph.select(e.getPoint());
		}
		else
		{
			graph.showDialog(e.getPoint());
		}
	}
	
	public void mouseReleased(MouseEvent e)
	{
		//
	}
	
	public void mouseClicked(MouseEvent e)
	{
		//
	}
	
	public void mouseEntered(MouseEvent e)
	{
		//
	}
	public void mouseExited(MouseEvent e)
	{
		//
	}
	
	// MouseMotionListener
	
	//  The mouse is moved while over the component.
	public void mouseMoved(MouseEvent e)
	{
		graph.setMousePos(e.getPoint());
		
	}
	//  The mouse is dragged (moved with a button pressed)
	public void mouseDragged(MouseEvent e)
	{
		//
		graph.moveTo(e.getPoint());
	}
}
