//
// Copyright (c) 2005 Yoan Blanc, HE-ARC Ingnierie (Le Locle)
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy of
// this software and associated documentation files (the "Software"), to deal in
// the Software without restriction, including without limitation the rights to use,
// copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
// Software, and to permit persons to whom the Software is furnished to do so,
// subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS
// OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
// IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
// WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//

package ch.hearc.I04_05s08.GUI.RDF;

import ch.hearc.I04_05s08.Ontology.OntManager;
import ch.hearc.I04_05s08.Ontology.RDFS.RdfsFile;
import ch.hearc.I04_05s08.Ontology.RDF.RdfFile;
import javax.swing.*;
import java.awt.event.*;
import java.awt.*;

/**
 *	The dialogbox for new Rdf File (extended menu)
 *
 *	@author Blanc, Yoan
 *	@hearc.copyright 2005 Yoan Blanc, HE-ARC Ingnierie
 *	@hearc.licence <a href="http://opensource.org/licenses/mit-license.php">MIT</a>
 */

public class RdfNewFileDialog extends RdfFileDialog
{	
	/**
	 *	Build a rdf file dialog
	 *
	 *	@param manager		the RDF manager
	 */
	public RdfNewFileDialog(RdfGraphManager manager)
	{
		super("New RDF file", manager);
		
		JPanel top = super.getTopPanel();
		
		top.add(new JLabel("Enter below the RDF Schema(s)"));

		pack();
		setVisible(true);
	}
	
	/**
	 *	Apply the dialog
	 */
	public void apply()
	{
		RdfsFile[] files = new RdfsFile[getListModel().getSize()];
		for(int i=0; i<files.length; i++)
		{
			files[i] = OntManager.openRdfs(getListModel().getElementAt(i).toString());	
		}
		
		getManager().loadGraph(new RdfFile("",files));
		
		close();
	}
}